VariableGapTermsIndexWriter.EveryNTermSelector (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.blockterms, class: VariableGapTermsIndexWriter, class: EveryNTermSelector

Package org.apache.lucene.codecs.blockterms

# Class VariableGapTermsIndexWriter.EveryNTermSelector

java.lang.Object
org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.IndexTermSelector
org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.EveryNTermSelector

Enclosing class:
  `VariableGapTermsIndexWriter`

public static final class VariableGapTermsIndexWriter.EveryNTermSelector extends VariableGapTermsIndexWriter.IndexTermSelector
Same policy as `FixedGapTermsIndexWriter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EveryNTermSelector(int interval)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isIndexTerm(BytesRef term, TermStats stats)`
  Called sequentially on every term being written, returning true if this term should be indexed
  `void`
  `newField(FieldInfo fieldInfo)`
  Called when a new field is started.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EveryNTermSelector

    public EveryNTermSelector(int interval)

- ## Method Details

  - ### isIndexTerm

    public boolean isIndexTerm(BytesRef term, TermStats stats)
    Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
    Called sequentially on every term being written, returning true if this term should be indexed
    Specified by:
      `isIndexTerm` in class `VariableGapTermsIndexWriter.IndexTermSelector`

  - ### newField

    public void newField(FieldInfo fieldInfo)
    Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
    Called when a new field is started.
    Specified by:
      `newField` in class `VariableGapTermsIndexWriter.IndexTermSelector`